Get BoosterBoxes by range or token IDs
curl --request GET \
--url https://build.vibechain.com/vibe/boosterbox/range \
--header 'API-KEY: <api-key>'import requests
url = "https://build.vibechain.com/vibe/boosterbox/range"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://build.vibechain.com/vibe/boosterbox/range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"boosterBoxes": [
{
"tokenId": 123,
"contractAddress": "<string>",
"chainId": 123,
"owner": "<string>",
"rarity": 2,
"randomValue": "<string>",
"tokenSpecificRandomness": "<string>",
"mintedAt": "2023-11-07T05:31:56Z",
"openedAt": "2023-11-07T05:31:56Z",
"latestUpdateTimestamp": "2023-11-07T05:31:56Z",
"metadata": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"external_url": "<string>",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>",
"display_type": "<string>"
}
]
},
"contractDetails": {
"gameId": "<string>",
"tokenAddress": "<string>",
"tokenName": "<string>",
"tokenSymbol": "<string>",
"nftName": "<string>",
"nftSymbol": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"websiteUrl": "<string>",
"isGraduated": true,
"marketCap": "<string>",
"marketCapUsd": "<string>",
"preorderProgress": 123,
"pricePerPack": "<string>",
"pricePerPackUsd": "<string>",
"dropContractAddress": "<string>",
"ownerAddress": "<string>",
"slug": "<string>",
"bgColor": "<string>",
"featuredImageUrl": "<string>",
"packImage": "<string>",
"isActive": true,
"isFeatured": true,
"isVerified": true,
"isVerifiedArtist": true,
"disableFoil": true,
"disableWear": true,
"links": {
"twitter": "<string>",
"discord": "<string>",
"website": "<string>"
},
"version": "<string>",
"chainId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}API Reference
Get BoosterBoxes by range or token IDs
GET
/
range
Get BoosterBoxes by range or token IDs
Headers
Free API key needed to authorize requests. Get one at: https://docs.vibechain.com/api-reference/vibemarket-intro
Query Parameters
The contract address
Comma-separated list of token IDs
Start of token ID range
End of token ID range
The chain ID
Filter by status
Available options:
minted, rarity_assigned, burned Filter by rarity
Required range:
0 <= x <= 4Page number
Results per page
Sort field
Sort order
Available options:
asc, desc Whether to include metadata
Whether to include contract details from VibeMarketGame
⌘I